0 Items

BEYOND 2.1 is Here! Get the latest information on working with version 2.1 below

We at Pangolin are very excited to announce the official release of BEYOND version 2.1. This new update for the BEYOND takes the software to the next level, providing a variety of new features and updates that are set to carry the laser industry, as a whole, into the future. With the release of BEYOND 2.1, we have now segmented the software into it’s three levels (Essentials, Advanced and Ultimate) and we provide easy upgrade paths for existing QuickShow and LD2000 clients to migrate over to the BEYOND software. In addition, BEYOND 2.1 is the only version of the BEYOND software to support our new FB4 hardware — a new, integrated, network based laser control platform, featuring advanced hardware control options for laserists, lighting designers, and mobile DJ’s. (You can learn more about FB4, by Clicking Here.)

How to download and work with BEYOND 2.1

To begin working with BEYOND 2.1, existing BEYOND clients must first receive an updated BEYOND 2.1 license file. You can request this license file using the form below. To start the process, simply upload your existing BEYOND license (using the upload tool below), and let us know from where you purchased the BEYOND software (whether through a local dealer, or directly from Pangolin). After that, our support team will generate a new BEYOND 2.1 license file for you, enabling you to work with this latest version of the software. Once you have received the new license file, simply download and install the 2.1 version of BEYOND (using the link below) and you will be up and running. If you need support when performing this update, simply contact us, and one of our support team members will promptly assist you.

Additional Information for QM2000 Clients working with BEYOND

If you are using QM2000 hardware, BEYOND 2.1 requires you to use the latest version of LD2000. You can download LD2000 version 5.60 using the link below. (The updated license file mentioned above is required for BEYOND 2.1, whether or not you are using a QM2000.)

 How to download the latest version of BEYOND Special Launch Edition (SLE)

If you are currently using BEYOND 2.0 (Special Launch Edition) build 699, you may have seen a notification that a new version is available. Indeed there is a new version! We have released BEYOND 2.0 build 699B15, which replaces the previous version of BEYOND. Build 699B15 includes important updates and bug fixes in addition to removing the notice that there is a new version of software available. Therefore we strongly recommend that all current users of build 699 download and install 699B15. This update can be downloaded here:

BEYOND 2.0 build 699 B15

How to proceed ?

Let us know where you purchased the software, and send us your BEYOND 2.0 license file.


Tell us the name of the company from where you purchased BEYOND

If you have an invoice or reference number, enter that below

Upload your BEYOND 2.0 license file here: (this should be called License.bmp, found in the C:\BEYOND folder)

Enter your name and email below, where you want us to send your updated license file:

Download the latest version of BEYOND that meets your needs.

BEYOND 2.1 for FB3, FB4 and QM2000

BEYOND 2.1 build 834

BEYOND 2.0 SLE for FB3 and QM2000

BEYOND 2.0 build 699 B15
When using the QM2000 with BEYOND 2.1 you will need to install the new LD2000 5.60 update. You can find the download link here. After LD2000 5.60 is installed,  if you also want to use the BEYOND Special Launch Edition, you will need to (re)-install BEYOND 2.0 SLE 699B. BEYOND 2.0 SLE 699B can be downloaded above.

 We’re here to help

If you need support setting up and configuring BEYOND 2.1, or the latest version of BEYOND SLE 2.0 (build 699B),
please contact our support department by completing the form below. You can also call us at anytime (+1-407-299-2088).